:root {
  --primary: #ffffff;
  --secondary: #000000;
  --accent: #000000;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'consolas', monospace;
}

body {
  background: #000000;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  padding: 20px;
}

nav {
    background-color: black;
    padding: 10px;
}

ul {
    list-style: none;
    display: flex;
    justify-content: center;
    margin: 0;
    padding: 0;
}

li {
    margin: 0 15px;
}

.bar {
    color: white;
    font-family: "consolas";
    text-decoration: none;
}

.bar:hover {
  text-decoration: underline;
  font-size: larger;
  color:rgb(250, 212, 255);
}

.login-container {
  width: 100%;
  max-width: 400px;
  padding: 40px 30px;
  background-color: var(--secondary);
  position: fixed;
  border-radius: 12px;
}

.login-container::before {
  content: '';
  position: absolute;
  top: 6px;
  left: 6px;
  right: -6px;
  bottom: -6px;
  z-index: -1;
  border-radius: 12px;
}

h1 {
  color: var(--primary);
  margin-bottom: 550px;
  font-size: 28px;
  font-weight: 700;
  text-align: center;
}

p {
  color: var(--primary);
  margin-bottom: 30px;
  font-size: 18px;
  font-weight: 250;
  text-align: center;
}

.input-group {
  margin-bottom: 20px;
  position: relative;
}

label {
  display: block;
  margin-bottom: 8px;
  font-weight: bold;
  color: var(--primary);
}

input {
  width: 100%;
  padding: 12px 15px;
  background-color: var(--secondary);
  color: var(--primary);
  font-size: 16px;
  outline: none;
  transition: all 0.3s;
}

input:hover {
  box-shadow: rgb(250, 212, 255) 0px 10px 10px -10px;
}


button {
  width: 100%;
  padding: 12px;
  background-color: var(--accent);
  color: var(--primary);
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
  margin-top: 10px;
  transition: all 0.3s;
}

button:hover {
  transform: translate(-2px, -2px);
  box-shadow: rgb(250, 212, 255) 0px 10px 10px -10px;
}

.access {
  padding: 6px;
}

a {
  color: var(--accent);
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

.logo {
  width: 200px;
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 500px;
}

.highlight {
    color:rgb(250, 212, 255);
}



